<?php
/*
Nagios SmokePing Viewer
Version 1.0
---------------------
Bryan Heden
Agile Networks
---------------------
bheden@agilenetworks.com

This file is part of "Nagios SmokePing Viewer".

"Nagios SmokePing Viewer" is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

"Nagios SmokePing Viewer" is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with "Nagios SmokePing Viewer".  If not, see <http://www.gnu.org/licenses/>.
*/

// include the component helper
require_once(dirname(__FILE__).'/../componenthelper.inc.php');

// component stuff
$smokeping_component_name="smokeping";
smokeping_component_init();
function smokeping_component_init() {
	global $smokeping_component_name;
			
	$args=array(
		COMPONENT_NAME => $smokeping_component_name,
		COMPONENT_AUTHOR => "Bryan Heden @ Agile Networks (bheden@agilenetworks.com)",
		COMPONENT_DESCRIPTION => "Displays SmokePing data from within Nagios.",
		COMPONENT_TITLE => "Nagios SmokePing Viewer",
		COMPONENT_VERSION => 1.0,
		COMPONENT_DATE => "04/16/2014");
		
	register_component($smokeping_component_name, $args);
	register_callback(CALLBACK_MENUS_INITIALIZED, 'smokeping_component_addmenu');
}
function smokeping_component_addmenu($arg = null) {
	global $smokeping_component_name;
	$urlbase = get_component_url_base($smokeping_component_name);
	$mi = find_menu_item(MENU_HOME, "menu-home-section-details", "id");
	if ($mi == null)
		return;
	$order = grab_array_var($mi, "order","");
	if ($order == "")
		return;
	$neworder = $order + 1;
	add_menu_item(MENU_HOME, array(
		"type" 	=> "link",
		"title" => "SmokePing",
		"id" 	=> "menu-home-smokeping",
		"order" => $neworder,
		"opts" 	=> array(
		"href" 	=> $urlbase."/graphs.php",
		)
	));
}
?>